# Class Toaster

java.lang.Object
com.nitido.utils.toaster.Toaster

public class Toaster extends Object
Class to show tosters in multiplatform

## Constructor Summary

Constructors
Constructor
Description
`Toaster()`
Constructor to initialized toaster component...

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBorderColor()`
`int`
`getDisplayTime()`
`int`
`getMargin()`
`Color`
`getMessageColor()`
`int`
`getStep()`
`int`
`getStepTime()`
`Color`
`getToasterColor()`
`int`
`getToasterHeight()`
`Font`
`getToasterMessageFont()`
`int`
`getToasterWidth()`
`void`
`setBorderColor(Color borderColor)`
`void`
`setDisplayTime(int displayTime)`
`void`
`setMargin(int margin)`
`void`
`setMessageColor(Color messageColor)`
`void`
`setStep(int step)`
`void`
`setStepTime(int stepTime)`
`void`
`setToasterColor(Color toasterColor)`
`void`
`setToasterHeight(int toasterHeight)`
`void`
`setToasterMessageFont(Font f)`
Set the font for the message
`void`
`setToasterWidth(int toasterWidth)`
`void`
`showToaster(String msg)`
Show a toaster with the specified message.
`void`
`showToaster(Icon icon, String msg)`
Show a toaster with the specified message and the associated icon.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Toaster

public Toaster()
Constructor to initialized toaster component...

## Method Details

### showToaster

public void showToaster(Icon icon, String msg)
Show a toaster with the specified message and the associated icon.

### showToaster

public void showToaster(String msg)
Show a toaster with the specified message.

### getToasterMessageFont

public Font getToasterMessageFont()

Returns:
  Returns the font

### setToasterMessageFont

public void setToasterMessageFont(Font f)
Set the font for the message

### getBorderColor

public Color getBorderColor()

Returns:
  Returns the borderColor.

### setBorderColor

public void setBorderColor(Color borderColor)

Parameters:
  `borderColor` - The borderColor to set.

### getDisplayTime

public int getDisplayTime()

Returns:
  Returns the displayTime.

### setDisplayTime

public void setDisplayTime(int displayTime)

Parameters:
  `displayTime` - The displayTime to set.

### getMargin

public int getMargin()

Returns:
  Returns the margin.

### setMargin

public void setMargin(int margin)

Parameters:
  `margin` - The margin to set.

### getMessageColor

public Color getMessageColor()

Returns:
  Returns the messageColor.

### setMessageColor

public void setMessageColor(Color messageColor)

Parameters:
  `messageColor` - The messageColor to set.

### getStep

public int getStep()

Returns:
  Returns the step.

### setStep

public void setStep(int step)

Parameters:
  `step` - The step to set.

### getStepTime

public int getStepTime()

Returns:
  Returns the stepTime.

### setStepTime

public void setStepTime(int stepTime)

Parameters:
  `stepTime` - The stepTime to set.

### getToasterColor

public Color getToasterColor()

Returns:
  Returns the toasterColor.

### setToasterColor

public void setToasterColor(Color toasterColor)

Parameters:
  `toasterColor` - The toasterColor to set.

### getToasterHeight

public int getToasterHeight()

Returns:
  Returns the toasterHeight.

### setToasterHeight

public void setToasterHeight(int toasterHeight)

Parameters:
  `toasterHeight` - The toasterHeight to set.

### getToasterWidth

public int getToasterWidth()

Returns:
  Returns the toasterWidth.

### setToasterWidth

public void setToasterWidth(int toasterWidth)

Parameters:
  `toasterWidth` - The toasterWidth to set.